

/*
 *  Copyright (c) 2018, Oracle and/or its affiliates. All rights reserved.
*/
package wssunt;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the wssunt package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _CallHelloWithCSFKeyResponse_QNAME = new QName("http://wssunt/", "callHelloWithCSFKeyResponse");
    private final static QName _CallHello_QNAME = new QName("http://wssunt/", "callHello");
    private final static QName _CallHelloWithCSFKey_QNAME = new QName("http://wssunt/", "callHelloWithCSFKey");
    private final static QName _Hello_QNAME = new QName("http://wssunt/", "hello");
    private final static QName _CallHelloResponse_QNAME = new QName("http://wssunt/", "callHelloResponse");
    private final static QName _HelloResponse_QNAME = new QName("http://wssunt/", "helloResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: wssunt
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Hello }
     * 
     */
    public Hello createHello() {
        return new Hello();
    }

    /**
     * Create an instance of {@link CallHelloResponse }
     * 
     */
    public CallHelloResponse createCallHelloResponse() {
        return new CallHelloResponse();
    }

    /**
     * Create an instance of {@link HelloResponse }
     * 
     */
    public HelloResponse createHelloResponse() {
        return new HelloResponse();
    }

    /**
     * Create an instance of {@link CallHelloWithCSFKey }
     * 
     */
    public CallHelloWithCSFKey createCallHelloWithCSFKey() {
        return new CallHelloWithCSFKey();
    }

    /**
     * Create an instance of {@link CallHello }
     * 
     */
    public CallHello createCallHello() {
        return new CallHello();
    }

    /**
     * Create an instance of {@link CallHelloWithCSFKeyResponse }
     * 
     */
    public CallHelloWithCSFKeyResponse createCallHelloWithCSFKeyResponse() {
        return new CallHelloWithCSFKeyResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CallHelloWithCSFKeyResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://wssunt/", name = "callHelloWithCSFKeyResponse")
    public JAXBElement<CallHelloWithCSFKeyResponse> createCallHelloWithCSFKeyResponse(CallHelloWithCSFKeyResponse value) {
        return new JAXBElement<CallHelloWithCSFKeyResponse>(_CallHelloWithCSFKeyResponse_QNAME, CallHelloWithCSFKeyResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CallHello }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://wssunt/", name = "callHello")
    public JAXBElement<CallHello> createCallHello(CallHello value) {
        return new JAXBElement<CallHello>(_CallHello_QNAME, CallHello.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CallHelloWithCSFKey }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://wssunt/", name = "callHelloWithCSFKey")
    public JAXBElement<CallHelloWithCSFKey> createCallHelloWithCSFKey(CallHelloWithCSFKey value) {
        return new JAXBElement<CallHelloWithCSFKey>(_CallHelloWithCSFKey_QNAME, CallHelloWithCSFKey.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Hello }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://wssunt/", name = "hello")
    public JAXBElement<Hello> createHello(Hello value) {
        return new JAXBElement<Hello>(_Hello_QNAME, Hello.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CallHelloResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://wssunt/", name = "callHelloResponse")
    public JAXBElement<CallHelloResponse> createCallHelloResponse(CallHelloResponse value) {
        return new JAXBElement<CallHelloResponse>(_CallHelloResponse_QNAME, CallHelloResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HelloResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://wssunt/", name = "helloResponse")
    public JAXBElement<HelloResponse> createHelloResponse(HelloResponse value) {
        return new JAXBElement<HelloResponse>(_HelloResponse_QNAME, HelloResponse.class, null, value);
    }

}
